TMF641 v4 Service Ordering (Outbound)

POST Create a service order request

POST /serviceOrder

Creates a service order that includes default values and creation rules.

Request body

Media type: application/json. Schema: ServiceOrder.

The service order resource describes a list of service order items.

Example

{
   "order_items":[
      {
         "order_item_id":"a1f3i000000UcNUAA0",
         "action":"Add",
         "supplemental_action":"Amend",
         "specified_by":{
            "specification_name":"Mobile Billing specification",
            "specification_id":"01t3i000001NCngAAG"
         },
         "described_by":[
            {
               "value":"VLO_MOB_PLAN",
               "characteristic":"Billing code"
            }
         ],
         "order_items":[
            {
               "described_by":[
                  {
                     "value":"VLO_SIM",
                     "characteristic":"Billing code"
                  }
               ],
               "action":"Add",
               "supplemental_action":"",
               "order_item_id":"a1f3i000000UcNVAA0"
            }
         ]
      }
   ],
   "account_id":"0015f000006Pp3BAAS",
   "order_id":"a1g3i000000t1RhAAI",
   "responseUri":"/services/apexrest/vlocity_cmt/asyncCallback/a2I8Z000009HAgUUAW"
}

Responses

  • 201 Request is successful.

    Media type: application/json. Schema: SuccessMessage.

    Example

    {
      "message": "Success"
    }
  • 400 There was an issue with your request.

    Media type: application/json. Schema: ErrorMessage.

    Example

    code: "400"
    reason: Bad Request
  • 401 Authorization failed.

    Media type: application/json. Schema: ErrorMessage.

    Example

    code: "401"
    reason: Unauthorized
  • 403 Request forbidden.

    Media type: application/json. Schema: ErrorMessage.

    Example

    code: "403"
    reason: Forbidden
  • 404 Resource not found.

    Media type: application/json. Schema: ErrorMessage.

    Example

    code: "404"
    reason: Not Found
  • 405 Method not allowed.

    Media type: application/json. Schema: ErrorMessage.

    Example

    code: "405"
    reason: Method not allowed
  • 406

    Media type: application/json. Schema: ErrorMessage.

    Example

    code: "406"
    reason: Request not acceptable
  • 415

    Media type: application/json. Schema: ErrorMessage.

    Example

    code: "415"
    reason: Unsupported media type
  • 422 Unprocessable entity.

    Media type: application/json. Schema: ErrorMessage.

    Example

    code: "422"
    reason: Unable to parse given payload.
  • 500 Unable to complete the request as the server encountered an error.

    Media type: application/json. Schema: ErrorMessage.

    Example

    code: "500"
    reason: Internal Server Error
  • 501

    Media type: application/json. Schema: ErrorMessage.

    Example

    code: "501"
    reason: Not Implemented